Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. If you'd prefer to explore, try our test area to get started. And see here for current known issues.

New Member

Upgrade path for Cisco EIM/WIM v4.2(5)

Hi all,

I need some help in understanding what is required to deploy Cisco EIM/WIM v4.2(5) for Cisco UCCE.

a) media kit received contained v4.2(1), 3rd party tools, v4.2(4a) SR & v4.2(5a) MR

b) based on the docs, v4.2(1) needs to be installed first followed by v4.2(4a) SR and then v4.2(5a) MR

Some concerns/questions i have is

a) Since v4.2(1) only supports SQL 2000 and v4.2(5) only supports SQL 2005, does that mean i'll require to purchase both SQL 2000 & SQL 2005? Can I install v.4.2(1) directly on SQL 2005?

b) Since v4.2(1) only supports BEA WebLogic, is there a way to change it to JBoss when upgrading to v4.2(5)? If so, any idea how that can be done? If not mistaken this is possible when upgrading to v4.3(1).

c) Is there a way to directly install v4.2(5) without going to the mentioned upgrade path

Thanks!

-JT-

  • Contact Center
3 ACCEPTED SOLUTIONS

Accepted Solutions
Bronze

Re: Upgrade path for Cisco EIM/WIM v4.2(5)

HI JT

There is currently no way to directly upgrade to 4.2(5) and 4.2(1) does not support SQL 2005 you need to go through a 3 phased upgrade. You will need to do the following:

Install 4.2(1) with SQL 2000

Upgrade 4.2(1) to 4.2(4)

You then need to do the following to get it to 4.2(5)

Backup Active, Master and Archive Databases

Unistall SQL 2000

Delete any Every thing to do with SQL 2000 that may be left over

Install SQL 2005 with SP2

Install New Weblogic 9.2

Restore DBs you backed up to SQL 2005

Run the dbupgrade tool. (This is on the 4.2(5) CD and DO NOT USE the 4.2.4 dbupgrade wizard)

You can then run the 4.2.5 upgrade patch.

I have done this a number of times and can say it is a bit of a nightmare :-(. There are a number of ESs you should apply when you get to 4.2.5. I believe your need ES1-5 but it depends what features your using. You can just open a TAC case for that and they will tell you which ones you need.

In regards to the SQL purchase you will need to get a copy of both versions. I would not buy a copy of 2000 as you only need it temporary. You will need a license for 2005 though.

If this is a new installation i would recommend just waiting for CIM 4.3 it is much better product and uses JBoss as standard. Also if you are intergrating this with UCCE 7.5 then it is only supported with 4.3

HTH

Thanks,

Matt

Bronze

Re: Upgrade path for Cisco EIM/WIM v4.2(5)

Hi

I am affraid your going to have more luck just reinstalling the thing than trying to down grade from experience. Also as you said your issue is pointing to Weblogic and Java. You can always install that again with out have to reinstall CIM. The JDK needs to be on the services server not the database server.

Have you spoken to TAC again about this?

Also is this a production enviroment because you should actually have a 3rd server for the web server component which should be in front of the firewall.

Thanks,

Matt

Bronze

Re: Upgrade path for Cisco EIM/WIM v4.2(5)

Hi JT


That is great news!! You should probably mark the post to resolved if it fixed your issue.

Yeah i have had problems doing that before. It should work if you just run the test on a seperate PC. You can only ever log into single instance of CIM at any one time on a PC. Have you tried running it on a two seperate PCs?

I believe for the port requirements i am pretty sure that is in the SRND or the Install guide. Have you checked that?

Thanks!


Matt

22 REPLIES
Bronze

Re: Upgrade path for Cisco EIM/WIM v4.2(5)

HI JT

There is currently no way to directly upgrade to 4.2(5) and 4.2(1) does not support SQL 2005 you need to go through a 3 phased upgrade. You will need to do the following:

Install 4.2(1) with SQL 2000

Upgrade 4.2(1) to 4.2(4)

You then need to do the following to get it to 4.2(5)

Backup Active, Master and Archive Databases

Unistall SQL 2000

Delete any Every thing to do with SQL 2000 that may be left over

Install SQL 2005 with SP2

Install New Weblogic 9.2

Restore DBs you backed up to SQL 2005

Run the dbupgrade tool. (This is on the 4.2(5) CD and DO NOT USE the 4.2.4 dbupgrade wizard)

You can then run the 4.2.5 upgrade patch.

I have done this a number of times and can say it is a bit of a nightmare :-(. There are a number of ESs you should apply when you get to 4.2.5. I believe your need ES1-5 but it depends what features your using. You can just open a TAC case for that and they will tell you which ones you need.

In regards to the SQL purchase you will need to get a copy of both versions. I would not buy a copy of 2000 as you only need it temporary. You will need a license for 2005 though.

If this is a new installation i would recommend just waiting for CIM 4.3 it is much better product and uses JBoss as standard. Also if you are intergrating this with UCCE 7.5 then it is only supported with 4.3

HTH

Thanks,

Matt

New Member

Re: Upgrade path for Cisco EIM/WIM v4.2(5)

Hi Matt,

Do you know if there is a significant improvement (new feature/fixes) specifically for web chat to make it worthwhile to upgrade it to v4.2(5)?

Also, what is the process to

a) upgrade v4.2(5) to v4.3(1)

b) change from using Weblogic to JBoss during the upgrade process

Thanks!

-JT-

Bronze

Re: Upgrade path for Cisco EIM/WIM v4.2(5)

HI JT

I would say the product is much more stable and usable on 4.2(5). Saying that though I havent used WIM a massive amount out side of a lab but i would still recommend 4.2(5) over 4.2(1) just for the stability of the system.


If this is a new installation as i said before i would wait for 4.3. This is currently avaliable for fresh installations. Still not avaliable for upgrades though. This should be out next couple of weeks.

Also your correct in that the upgrade from 4.2(5) you need to change to JBOSS.

HTH

Matt

New Member

Re: Upgrade path for Cisco EIM/WIM v4.2(5)

Hi Matt,

For Cisco WIM deployment, what license should we be getting? I got a feeling something is missed out. Currently I'm having

a) CIH Platform - Advanced

b) Data Adapter

c) Cobrowse

If not mistaken for the latest version there is a separate Chat license. Reason being currently in my Administration-Department, I can't see any Chat resource (where we create the entry points/templates). Both the agent assignment service in System-Shared Resources & Partition is running. I'm not sure if something was messed up during installation (v4.2.1) / license is incorrect. And could the reason why i'm getting the following error "I18N_EGPL_ROUTING_RETRIEVE_ROUTE_TO_DATA_FOR_QUEUE_FAILED" when trying to assign the Route chat to users in the Relationship tab of my chat queue.

Have you come across that before? Thanks!

-JT-

Bronze

Re: Upgrade path for Cisco EIM/WIM v4.2(5)

Hi JT

Do you know if it worked at all when you was on 4.2.1?  You should have two license sent to you from cisco. Are you able to take a screen shot of them?

I do know there is a bug with the license in 4.2(5) as well which i hit every time but sounds a bit different to yours. I have the ES which i can upload but probably best if you can take a screen shot of the files so i can check you have the correct license.

Thanks,

Matt

New Member

Re: Upgrade path for Cisco EIM/WIM v4.2(5)

Hi Matt,

Currently I'm in v4.2(1) and trying to make a basic end-to-end chat work 1st before thinking about upgrading it. I'm having a 2-server architecture (app, file, web, services in one server and just db in another server).

Any ideas?

Thanks!

-JT-

New Member

Re: Upgrade path for Cisco EIM/WIM v4.2(5)

Sorry had some problem with the attachment earlier.

Bronze

Re: Upgrade path for Cisco EIM/WIM v4.2(5)

Hi JT

Those license files look ok you have a 15 seat CIM license. Make sure if you have two NICs that the second one is disabled. Also before you login into CIM you see 3 buttons Login, About and Help. If you press About there is a tab for license. Make sure that you see the 15 Seat Unified CIM show up. If just see licenses for CIH Platform then the license has not been uploaded by the system correctly.

Thanks,

Matt

New Member

Re: Upgrade path for Cisco EIM/WIM v4.2(5)

Hi Matt,

I don't think the license was loaded into the system accordingly as i can't see Unified WIM in it. Is there a way to 'reload' the license? The way i uploaded the license was just to copy both files into /config/license folder and start the Cisco service.

"Make sure if you have two NICs that the second one is disabled" <- dual NIC will create other issues?

Thanks!

-JT-

1637
Views
5
Helpful
22
Replies
This widget could not be displayed.